Get Switch Stack
Retrieve Switch Stack details.
Retrieve Switch Stack details.
Authorization
ApiKey UniFi API key. Create one under Control Plane → Admins & Users → your admin → Create API Key (requires controller 9.0.114+).
In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/switching/switch-stacks/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "members": [ { "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a" }, { "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a" } ], "lags": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "members": [ { "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a", "portIdxs": [ 0 ] } ], "metadata": null } ], "metadata": null}List MC-LAG Domains GET
Retrieve a paginated list of all MC-LAG Domains on a site. <details> <summary>Filterable properties (click to expand)</summary> |Name|Type|Allowed functions| |-|-|-| |`id`|`UUID`|`eq` `ne` `in` `notIn`| |`name`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`peers.deviceId`|`SET(UUID)`|`contains` `containsAny` `containsAll` `containsExactly`| |`metadata.origin`|`STRING`|`eq` `ne` `in` `notIn`| </details>
List Switch Stacks GET
Retrieve a paginated list of all Switch Stacks on a site. <details> <summary>Filterable properties (click to expand)</summary> |Name|Type|Allowed functions| |-|-|-| |`id`|`UUID`|`eq` `ne` `in` `notIn`| |`name`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`members.deviceId`|`SET(UUID)`|`contains` `containsAny` `containsAll` `containsExactly`| |`metadata.origin`|`STRING`|`eq` `ne` `in` `notIn`| </details>